jackrabbit-oak-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Davide Giannella (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (OAK-7182) Make it possible to update Guava
Date Fri, 16 Nov 2018 14:59:01 GMT

    [ https://issues.apache.org/jira/browse/OAK-7182?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16689523#comment-16689523
] 

Davide Giannella commented on OAK-7182:
---------------------------------------

I'm in favour of reducing our exposure to Guava as much as possible. As it will make it easier
to deal with breaking upgrade.

Backport speaking we currently have 5 branches. 1.0 and 1.2 we should seriously discuss if
we want to actively maintain those. Then we have 1.4, 1.6 and trunk/1.8.

The question would be. What is the effort of having 1.4 and 1.6 java8 compatible? I know we
have upstream projects to consider but given the support policy from Oracle we may have room
to negotiate there.

Otherwise wrapping guava's stuff in oak-common may easy any future upgrade.

> Make it possible to update Guava
> --------------------------------
>
>                 Key: OAK-7182
>                 URL: https://issues.apache.org/jira/browse/OAK-7182
>             Project: Jackrabbit Oak
>          Issue Type: Wish
>            Reporter: Julian Reschke
>            Assignee: Julian Reschke
>            Priority: Minor
>         Attachments: GuavaTests.java, OAK-7182-guava-21-3.diff, OAK-7182-guava-21-4.diff,
OAK-7182-guava-21.diff, OAK-7182-guava-23.6.1.diff, guava.diff
>
>
> We currently rely on Guava 15, and this affects all users of Oak because they essentially
need to use the same version.
> This is an overall issue to investigate what would need to be done in Oak in order to
make updates possible.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message